# Serialized Form (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

# Serialized Form

## Package net.fortuna.ical4j.vcard

### Class net.fortuna.ical4j.vcard.Group extends Object implements Serializable

serialVersionUID:
  -424118146831940666L

### Serialized Fields

#### id

    Group.Id id

#### extendedName

    String extendedName

### Class net.fortuna.ical4j.vcard.Parameter extends Object implements Serializable

serialVersionUID:
  6858428041113700722L

### Serialized Fields

#### id

    Parameter.Id id

#### extendedName

    String extendedName

### Class net.fortuna.ical4j.vcard.Property extends Object implements Serializable

serialVersionUID:
  7813173744145071469L

### Serialized Fields

#### group

    Group group

#### id

    Property.Id id

#### extendedName

    String extendedName

#### parameters

    List<E> parameters

### Class net.fortuna.ical4j.vcard.VCard extends Object implements Serializable

serialVersionUID:
  -4784034340843199392L

### Serialized Fields

#### properties

    List<E> properties

### Class net.fortuna.ical4j.vcard.VCardFileFilter extends org.apache.commons.io.filefilter.AndFileFilter implements Serializable

serialVersionUID:
  -8748884254181947028L

## Package net.fortuna.ical4j.vcard.parameter

### Class net.fortuna.ical4j.vcard.parameter.Altid extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Calscale extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Encoding extends Parameter implements Serializable

serialVersionUID:
  -6912042752317640817L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Fmttype extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

#### type

    String type

#### subtype

    String subtype

### Class net.fortuna.ical4j.vcard.parameter.Geo extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Language extends Parameter implements Serializable

serialVersionUID:
  8762124184853766503L

### Serialized Fields

#### locale

    Locale locale

### Class net.fortuna.ical4j.vcard.parameter.Pid extends Parameter implements Serializable

serialVersionUID:
  -6324011073580375538L

### Serialized Fields

#### pid

    Integer pid

### Class net.fortuna.ical4j.vcard.parameter.Pref extends Parameter implements Serializable

serialVersionUID:
  -6246880477846039737L

### Serialized Fields

#### level

    Integer level

### Class net.fortuna.ical4j.vcard.parameter.SortAs extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

#### segments

    String[] segments

### Class net.fortuna.ical4j.vcard.parameter.Type extends Parameter implements Serializable

serialVersionUID:
  -3644362129355908795L

### Serialized Fields

#### types

    String[] types

### Class net.fortuna.ical4j.vcard.parameter.Tz extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Value extends Parameter implements Serializable

serialVersionUID:
  -4161095052661786246L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.parameter.Version extends Parameter implements Serializable

serialVersionUID:
  12345L

### Serialized Fields

#### value

    String value

## Package net.fortuna.ical4j.vcard.property

### Class net.fortuna.ical4j.vcard.property.Address extends Property implements Serializable

serialVersionUID:
  6538745668985015384L

### Serialized Fields

#### poBox

    String poBox

#### extended

    String extended

#### street

    String street

#### locality

    String locality

#### region

    String region

#### postcode

    String postcode

#### country

    String country

### Class net.fortuna.ical4j.vcard.property.Agent extends Property implements Serializable

serialVersionUID:
  2670466615841142934L

### Serialized Fields

#### uri

    URI uri

#### text

    String text

### Class net.fortuna.ical4j.vcard.property.BDay extends Property implements Serializable

serialVersionUID:
  4298026868242865633L

### Serialized Fields

#### date

    net.fortuna.ical4j.model.Date date

#### text

    String text

### Class net.fortuna.ical4j.vcard.property.Birth extends Property implements Serializable

serialVersionUID:
  -3204898745557127754L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.CalAdrUri extends Property implements Serializable

serialVersionUID:
  -6507220241297111022L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.CalUri extends Property implements Serializable

serialVersionUID:
  4821378252642288695L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Categories extends Property implements Serializable

serialVersionUID:
  -3233034210546002366L

### Serialized Fields

#### categories

    net.fortuna.ical4j.model.TextList categories

### Class net.fortuna.ical4j.vcard.property.Clazz extends Property implements Serializable

serialVersionUID:
  -3339099487456754606L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.DDay extends Property implements Serializable

serialVersionUID:
  3969167775362943497L

### Serialized Fields

#### date

    net.fortuna.ical4j.model.Date date

#### text

    String text

### Class net.fortuna.ical4j.vcard.property.Death extends Property implements Serializable

serialVersionUID:
  3009228294165154307L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Email extends Property implements Serializable

serialVersionUID:
  6134254373259957228L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.FbUrl extends Property implements Serializable

serialVersionUID:
  7406097765207265428L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Fn extends Property implements Serializable

serialVersionUID:
  -3576886478408668365L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Gender extends Property implements Serializable

serialVersionUID:
  -2739534182576803750L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Geo extends Property implements Serializable

serialVersionUID:
  1533383111522264554L

### Serialized Fields

#### latitude

    BigDecimal latitude

#### longitude

    BigDecimal longitude

### Class net.fortuna.ical4j.vcard.property.Impp extends Property implements Serializable

serialVersionUID:
  4042305605468586600L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Key extends Property implements Serializable

serialVersionUID:
  -6645173064940148955L

### Serialized Fields

#### uri

    URI uri

#### binary

    byte[] binary

#### log

    org.apache.commons.logging.Log log

### Class net.fortuna.ical4j.vcard.property.Kind extends Property implements Serializable

serialVersionUID:
  -3114221975393833838L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Label extends Property implements Serializable

serialVersionUID:
  -3634101566227652040L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Lang extends Property implements Serializable

serialVersionUID:
  1863658302945551760L

### Serialized Fields

#### locales

    Locale[] locales

### Class net.fortuna.ical4j.vcard.property.Logo extends Property implements Serializable

serialVersionUID:
  7255763733402012595L

### Serialized Fields

#### log

    org.apache.commons.logging.Log log

#### uri

    URI uri

#### binary

    byte[] binary

### Class net.fortuna.ical4j.vcard.property.Member extends Property implements Serializable

serialVersionUID:
  6622845049765958916L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.N extends Property implements Serializable

serialVersionUID:
  1117450875931318523L

### Serialized Fields

#### familyName

    String familyName

#### givenName

    String givenName

#### additionalNames

    String[] additionalNames

#### prefixes

    String[] prefixes

#### suffixes

    String[] suffixes

### Class net.fortuna.ical4j.vcard.property.Name extends Property implements Serializable

serialVersionUID:
  -3524639290151277814L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Nickname extends Property implements Serializable

serialVersionUID:
  2512809288464680577L

### Serialized Fields

#### names

    String[] names

### Class net.fortuna.ical4j.vcard.property.Note extends Property implements Serializable

serialVersionUID:
  -1435219426295284759L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Org extends Property implements Serializable

serialVersionUID:
  -1435956318814896568L

### Serialized Fields

#### values

    String[] values

### Class net.fortuna.ical4j.vcard.property.Photo extends Property implements Serializable

serialVersionUID:
  5927040228596008262L

### Serialized Fields

#### log

    org.apache.commons.logging.Log log

#### uri

    URI uri

#### binary

    byte[] binary

### Class net.fortuna.ical4j.vcard.property.ProdId extends Property implements Serializable

serialVersionUID:
  8104072716649404803L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Related extends Property implements Serializable

serialVersionUID:
  -3319959600372278036L

### Serialized Fields

#### uri

    URI uri

#### text

    String text

### Class net.fortuna.ical4j.vcard.property.Revision extends Property implements Serializable

serialVersionUID:
  -1342640230576672871L

### Serialized Fields

#### date

    net.fortuna.ical4j.model.Date date

### Class net.fortuna.ical4j.vcard.property.Role extends Property implements Serializable

serialVersionUID:
  -2967228242683105498L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.SortString extends Property implements Serializable

serialVersionUID:
  980796364808362907L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Sound extends Property implements Serializable

serialVersionUID:
  -3293436282728289163L

### Serialized Fields

#### uri

    URI uri

#### binary

    byte[] binary

#### log

    org.apache.commons.logging.Log log

### Class net.fortuna.ical4j.vcard.property.Source extends Property implements Serializable

serialVersionUID:
  -8097388189864368448L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Telephone extends Property implements Serializable

serialVersionUID:
  -7747040131815077325L

### Serialized Fields

#### uri

    URI uri

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Title extends Property implements Serializable

serialVersionUID:
  -8410924945367427773L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.vcard.property.Tz extends Property implements Serializable

serialVersionUID:
  930436197799477318L

### Serialized Fields

#### offset

    net.fortuna.ical4j.model.UtcOffset offset

#### text

    String text

### Class net.fortuna.ical4j.vcard.property.Uid extends Property implements Serializable

serialVersionUID:
  -7120539613021006347L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Url extends Property implements Serializable

serialVersionUID:
  -6689531541656904891L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.vcard.property.Version extends Property implements Serializable

serialVersionUID:
  -4345025177285348717L

### Serialized Fields

#### value

    String value